import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    kotlin("jvm") version "1.3.50"
    application
}

group = "moe.kageru"
version = "0.1.0"

val mainClass = "moe.kageru.kodeshare.KodeshareKt"
application {
    mainClassName = mainClass
}
val ktorVersion = "1.2.4"

repositories {
    mavenCentral()
    jcenter()
}

dependencies {
    implementation(kotlin("stdlib-jdk8"))
    implementation("io.ktor:ktor-server-netty:$ktorVersion")
    implementation("io.ktor:ktor-locations:$ktorVersion")
    implementation("org.jetbrains.exposed:exposed:0.17.3")
    implementation("org.mariadb.jdbc:mariadb-java-client:2.4.4")
}

tasks.withType<KotlinCompile> {
    kotlinOptions.jvmTarget = "1.8"
}